<?php
/*

Copyright (C) 2003 by Jason Perkins (jason@379.com)

 This add-on overhauls the presentation of PmWiki. It changes the values
 (and in some cases the meaning) of the formatting variables to allow for
 CSS styling instead of inline formatting. It also makes the presentation
 more consistent throughout the site. The appearance of just about every
 item on the site can be adjusted with a fairly simple stylesheet.

 This add-on also includes a default stylesheet "pmwiki.css". To create
 a custom style, you can replace pmwiki.css or augment it by creaeting
 a file "local.css" alongside it. Because of the way PmWiki secures the
 "local" and "script" directories, these files must be placed in the root
 PmWiki directory.

 Additional thoughts:

 * Automatically set focus to edit window.

 * Would like to have more control over how the page group/title header
   text is laid out.

 * The edit quick reference table should probably be a formatting variable
   instead of its own wiki page. Using a variable would make it more
   consistent with the rest of the code and would also make it possible to
   create the list via code.

 * Create a print media style sheet that hides command links, etc.

History:
   08-10-2003:  Modified to use i18n routines (Pm)

*/

$HTMLStartFmt = $HTMLDoctypeFmt . "
  <link rel='stylesheet' href='\$ScriptDir/pmwiki.css' type='text/css' />
  <link rel='stylesheet' href='\$ScriptDir/local.css' type='text/css' />";
$HTMLEndFmt = "</body></html>";
$HTMLBodyFmt = "</head><body>";

$PageHeaderFmt = "
  <table id='wikiheader' cellpadding='0' cellspacing='0'><tr>
  <td id='wikiheaderlogo' width='4' valign='bottom'>\$WikiImg</td>
  <td valign='bottom'>
    <div id='wikiheadergroup'><a href='\$ScriptUrl/\$Group'>\$Group</a>:</div>
    <div id='wikiheadertitle'><a href='\$ScriptUrl?action=search&amp;text=\$Title_'>\$Title</a></div>
  </td>
  <td id='wikiheadercommands' valign='bottom'>
    <a href='\$ScriptUrl/$[Main/SearchWiki]'>$[SearchWiki]</a><br />
    <a href='\$ScriptUrl/$[\$Group/RecentChanges]'>\$Group.$[RecentChanges]</a><br />
    <a href='\$PageUrl?action=edit'>$[Edit Page]</a><br />
    <a href='\$PageUrl?action=diff'>$[Page Revisions]</a>
  </td>
  </tr></table>";

$PageFooterFmt = "
  <div id='wikifooter'>
    <a href='\$PageUrl?action=edit'>$[Edit Page]</a> -
    <a href='\$PageUrl?action=diff'>$[Page Revisions]</a> -
    <a href='\$ScriptUrl/$[PmWiki/WikiHelp]'>$[WikiHelp]</a> -
    <a href='\$ScriptUrl/$[Main/SearchWiki]'>$[SearchWiki]</a> -
    <a href='\$ScriptUrl/$[\$Group/RecentChanges]'>$[RecentChanges]</a><br />
    $[Page last modified on \$LastModified]
  </div>";

$TextStartFmt = "<div id='wikitext'>";
$TextEndFmt = "</div>";

$PageEditFmt = "
  <form name='wikieditform' action='\$ScriptUrl' method='post'>
  <input type='hidden' name='pagename' value='\$PageName' />
  <input type='hidden' name='action' value='post' />
  <table id='wikiheader' cellpadding='0' cellspacing='0'><tr>
  <td id='wikiheaderlogo' width='4' valign='bottom'>\$WikiImg</td>
  <td valign='bottom'>
    <span id='wikiheadergroup'>\$Group</span> /<br/>
    <span id='wikiheadertitle'>\$Title</span>
  </td>
  <td id='wikiheadercommands' valign='bottom'>
    <input type='submit' value=' $[Save] ' />
    <input type='reset' value=' $[Reset] ' />
  </td>
  </tr></table>
  <div id='wikitext'>
  <div id='wikieditintro'>
  <a href='\$ScriptUrl/$[PmWiki/TipsForEditing]'>$[TipsForEditing]</a> -
  <a href='\$ScriptUrl/$[PmWiki/TextFormattingRules]'>$[TextFormattingRules]</a>
  </div>
  <textarea id='wikieditor' name='text' rows='25' cols='80'
  onkeydown='if (event.keyCode == 27) event.returnValue=false;'
  >\$Text</textarea><br /></form>";

$PageSearchFmt = "
  <table id='wikiheader' cellpadding='0' cellspacing='0'><tr>
  <td id='wikiheaderlogo' width='4' valign='bottom'>\$WikiImg</td>
  <td valign='bottom'>
    <div id='wikiheadertitle'>$[Search Results]</div>
  </td>
  </tr></table>
  <div id='wikitext'>
  $[SearchFor]
  <p><dl>\$MatchList</dl></p>
  <p>$[SearchFound]</p>
  </div>
  <div id='wikifooter'>
    <a href='\$ScriptUrl/$[PmWiki/WikiHelp]'>$[WikiHelp]</a> -
    <a href='\$ScriptUrl/$[Main/SearchWiki]'>$[SearchWiki]</a><br />
    $[Search performed on \$LastModified]
  </div>";

$PageDiffFmt = "
  <table id='wikiheader' cellpadding='0' cellspacing='0'><tr>
  <td id='wikiheaderlogo' width='4' valign='bottom'>\$WikiImg</td>
  <td valign='bottom'>
    <div id='wikiheadertitle'><a href='\$PageUrl'>\$PageName</a> $[Revisions]</div>
  </td>
  </tr></table>
  <div id='wikitext'>";
$PageDiffFootFmt = "
  </div>
  <div id='wikifooter'>
    $[Back to] <a href='\$PageUrl'>\$PageName</a>
  </div>";

$HandleBrowseFmt = array (
	"headers:",
	&$HTMLStartFmt,
	&$HTMLTitleFmt,
	&$HTMLBodyFmt,
	&$PageHeaderFmt,
	&$TextStartFmt,
	"function:PrintText",
	&$TextEndFmt,
	&$PageFooterFmt,
	&$HTMLEndFmt
);

$HandleEditFmt = array (
	&$HTMLStartFmt,
	&$PageEditFmt,
	"wiki:$[PmWiki.EditQuickReference]",
	&$HTMLEndFmt
);

?>
